Environnement de développement Lazarus

Share here your tips or issues concerning WAPT Console or WAPT Agent / Venez ici partager vos problèmes et astuces concernants la console et l'agent WAPT
Règles du forum
Règles du forum communautaire
* English support on www.reddit.com/r/wapt
* Le support communautaire en français se fait sur ce forum
* Merci de préfixer le titre du topic par [RESOLU] s'il est résolu.
* Merci de ne pas modifier un topic qui est taggé [RESOLU]. Ouvrez un nouveau topic en référençant l'ancien
* Préciser version de WAPT installée ( 1.6.1 / 1.7.4 / 1.8.2 / etc.) AINSI QUE l'édition Enterprise / Community
* Préciser OS du serveur (Linux / Windows) et version (Debian Stretch/Buster - CentOS 7 - Windows Server 2012/2016/2019)
* Préciser OS de la machine d'administration/création des paquets (Windows 7 / 10)
* Comme tout forum communautaire, le support est fait bénévolement par les membres. Si vous avez besoin d'un support commercial, vous pouvez contacter Camille ou Faustine au service commercial Tranquil IT au 02.40.97.57.55
Répondre
sabouk
Messages : 6
Inscription : 12 oct. 2021 - 04:01

12 oct. 2021 - 04:12

Bonjour,
J'essaye d'installer un environnement de dev lazarus pour la version 1.8 , mais je me confronte a des difficultés d'installation de package.
J'ai suivi la documentation, mais certains packages sur le github n'existent pas.
Pouvez-vous svp me donner la marche à suivre afin d'activer un environnement de dev sur un Windows 10 ?

Merci
Avatar de l’utilisateur
dcardon
Expert WAPT
Messages : 680
Inscription : 18 juin 2014 - 09:58
Localisation : Nantes
Contact :

14 oct. 2021 - 14:40

Bonjour,
est ce que vous pourriez être plus explicite sur le problème rencontré? La doc suivie, les étapes réussies, l'étape qui pose problème, les urls qui ne sont pas correctes, etc.
Merci, Cordialement,
Denis
Denis Cardon - Tranquil IT
Communiquez autour de vous sur WAPT! Envoyez nous vos url de blog et d'articles dans la catégorie votre avis du forum, nous les mettrons en avant sur le site WAPT
sabouk
Messages : 6
Inscription : 12 oct. 2021 - 04:01

14 oct. 2021 - 18:46

Bonjour,
Merci pour votre réponse.
Voilà le paquet 'pltis_dcpcrypt' n'est pas présent sur git.
Donc on ne peut pas ajouter le package a lazarus et les autres paquets qui en dépende ne peut être installé également.
Aussi le package 'pltis_utils' depende de package non indiqué dans la documentation comme 'mormot2' ainsi que 'uSmbios'.


Merci
Avatar de l’utilisateur
dcardon
Expert WAPT
Messages : 680
Inscription : 18 juin 2014 - 09:58
Localisation : Nantes
Contact :

15 oct. 2021 - 15:18

Bonjour sabouk,

il faut faire attention à bien prendre les hash git correspondant dans le répertoire submodule du projet WAPT. Sinon vous allez avoir des versions de dépendance plus récentes pour les versions 2.0/2.1. On va corriger les urls dans le fichier .submodule (qui pointe sur notre mirroir interne) pour permettre de les updater directement depuis github avec un git submodule update pour éviter de faire ce genre d'erreur.

Cordialement,

Denis
Denis Cardon - Tranquil IT
Communiquez autour de vous sur WAPT! Envoyez nous vos url de blog et d'articles dans la catégorie votre avis du forum, nous les mettrons en avant sur le site WAPT
sabouk
Messages : 6
Inscription : 12 oct. 2021 - 04:01

15 oct. 2021 - 16:42

Bonjour,

Merci pour votre réponse et votre intervention.

Cordialement,
sabouk
Messages : 6
Inscription : 12 oct. 2021 - 04:01

15 oct. 2021 - 16:56

Bonjour,
Désolé, mais certains dépôts ne sont pas publics comme 'pltis_dcpcrypt' et d'autres aussi.

merci,
Cordialement,
Avatar de l’utilisateur
dcardon
Expert WAPT
Messages : 680
Inscription : 18 juin 2014 - 09:58
Localisation : Nantes
Contact :

15 oct. 2021 - 18:50

la visibilité du dépôt pltis_dcpcrypt a été corrigé.
Tous les autres dépôt sur l'organisation Tranquil IT sont public... Vous faite référence à quel dépôt, est ce que vous pouvez être plus explicite?
Cordialement,
Denis
Denis Cardon - Tranquil IT
Communiquez autour de vous sur WAPT! Envoyez nous vos url de blog et d'articles dans la catégorie votre avis du forum, nous les mettrons en avant sur le site WAPT
sabouk
Messages : 6
Inscription : 12 oct. 2021 - 04:01

16 oct. 2021 - 01:39

bonjour,
merci pour l'intervention.
oui effectivement il y a les depots :
- pltis_tsmbios
-pltis_bgracontrolsfx

qui ne sont pas visible.

merci
Avatar de l’utilisateur
dcardon
Expert WAPT
Messages : 680
Inscription : 18 juin 2014 - 09:58
Localisation : Nantes
Contact :

18 oct. 2021 - 17:46

Bonjour,

c'était pas un problème de visibilité, c'était juste qu'ils n'avaient pas été synchronisé [1] (on utilise des dépôts interne pour le développement).

En fait tsmbios n'est pas utilisé en WAPT 1.8, il est juste référencé dans le git submodule.

Quand au bgracontrolsfx, il a du être introduit avec la 1.8.0, il faut donc croire que personne n'a essayé de recompiler la version community depuis près de deux ans...

Cordialement,

Denis

[1] https://github.com/tranquilit/pltis_tsmbios
https://github.com/tranquilit/pltis_bgracontrolsfx
Denis Cardon - Tranquil IT
Communiquez autour de vous sur WAPT! Envoyez nous vos url de blog et d'articles dans la catégorie votre avis du forum, nous les mettrons en avant sur le site WAPT
sabouk
Messages : 6
Inscription : 12 oct. 2021 - 04:01

18 oct. 2021 - 18:11

Bonjour,

Merci beaucoup pour vos interventions.

Cordialement
Répondre